# Uses of Interface
org.eclipse.birt.chart.model.attribute.URLValue

Packages that use URLValue
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of URLValue in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return URLValue
Modifier and Type
Method
Description
`URLValue`
GObjectFactory.`createURLValue(String sBaseUrl, String sTarget, String sBaseParameterName, String sValueParameterName, String sSeriesParameterName)`
`URLValue`
IGObjectFactory.`createURLValue(String sBaseUrl, String sTarget, String sBaseParameterName, String sValueParameterName, String sSeriesParameterName)`

## Uses of URLValue in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return URLValue
Modifier and Type
Method
Description
`URLValue`
URLValue.`copyInstance()`
`URLValue`
AttributeFactory.`createURLValue()`
Returns a new object of class 'URL Value'.
Methods in org.eclipse.birt.chart.model.attribute that return types with arguments of type URLValue
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<URLValue>`
MultiURLValues.`getURLValues()`
Returns the value of the 'URL Values' containment reference list.

## Uses of URLValue in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement URLValue
Modifier and Type
Class
Description
`class`
`URLValueImpl`
An implementation of the model object ' URL Value'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return URLValue
Modifier and Type
Method
Description
`URLValue`
URLValueImpl.`copyInstance()`
A convenient method to get an instance copy.
`static final URLValue`
URLValueImpl.`create(String sBaseUrl, String sTarget, String sBaseParameterName, String sValueParameterName, String sSeriesParameterName)`
A convenience method provided to create a new URLValue instance NOTE: Manually written
`URLValue`
AttributeFactoryImpl.`createURLValue()`
Methods in org.eclipse.birt.chart.model.attribute.impl that return types with arguments of type URLValue
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<URLValue>`
MultiURLValuesImpl.`getURLValues()`